# MetaElement< algebra::TropicalSemiring< TropicalKind >, T > Struct Template Reference
[Algebra, Semiring]

Services of element of a tropical semiring. More...

Inheritance diagram for MetaElement< algebra::TropicalSemiring< TropicalKind >, T >:
[legend]

## Detailed Description

### template<class TropicalKind, typename T>
struct vcsn::MetaElement< algebra::TropicalSemiring< TropicalKind >, T >

Services of element of a tropical semiring.

Definition at line 100 of file concept/tropical_semiring.hh.